%define major     16
%define libname   %mklibname unuran %{major}
%define develname %mklibname unuran -d

Name:		unuran
Version:	1.11.0
Release: 	%mkrel 1
Summary:	Universal Non-Uniform Random number generator

Group:		System/Libraries
License:	GPLv2+
URL:		https://statmath.wu.ac.at/unuran/
Source0:	https://statmath.wu.ac.at/unuran/%{name}-%{version}.tar.gz
BuildRequires:	autogen

%description
UNU.RAN  is an ANSI C library licensed under GPL.
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

-------------------------------------------
https://statmath.wu.ac.at/unuran/
-------------------------------------------


%package -n %{libname}
Summary:	Universal Non-Uniform Random number generator
Provides:	%{name} = %{version}-%{release}
Group:		System/Libraries

%description -n %{libname}
UNU.RAN  is an ANSI C library licensed under GPL. 
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

          -------------------------------------------
             https://statmath.wu.ac.at/unuran/
          -------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Header and object files for unuran
License:	GPLv2+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{develname}
Header and object files for unuran, and pdf docs.

%prep
%autosetup

%build
%configure --enable-shared --disable-static
%make_build


%install
%make_install

rm %{buildroot}%{_includedir}/unuran_tests.h
rm %{buildroot}%{_infodir}/unuran_win32*
rm -f %{buildroot}%{_infodir}/dir

# clean examples
rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm __clean_examples/Makefile*
mkdir __dist_examples
mv __clean_examples __dist_examples/examples


%files -n %{libname}
%doc AUTHORS README NEWS KNOWN-PROBLEMS THANKS UPGRADE
%license COPYING
%{_infodir}/unuran*
%{_libdir}/libunuran.so.*

%files -n %{develname}
%{_includedir}/unuran*.h
%{_libdir}/libunuran.so
%doc doc/unuran.pdf __dist_examples/examples

#check # enable if you want - takes a long time
#SEED=2742664 make check



%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 2212881
- new version: 1.11.0
- now libmajor is 16
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 1.8.1-3.mga9
+ Revision: 1828059
- Mageia 9 Mass Rebuild

* Tue Apr 28 2020 joequant <joequant> 1.8.1-2.mga8
+ Revision: 1572929
- redo autogen to get aarch64 architecture
- imported package unuran

